package tk.antoine_roux.wiki.configuration;

import io.r2dbc.spi.ConnectionFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.r2dbc.core.DatabaseClient;

@Configuration
public class DatabaseConfiguration {

    @Bean
    public DatabaseClient getDatabase(ConnectionFactory connectionFactory) {
        return DatabaseClient.create(connectionFactory);
    }
}
